us.zoom.sdk

## Class MeetingOptions

- java.lang.Object
- - us.zoom.sdk.MeetingOptions

- Direct Known Subclasses:
    InstantMeetingOptions, JoinMeetingOptions, StartMeetingOptions

      public class MeetingOptions
      extends java.lang.Object

  Options for enabling or disabling functions in meeting

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `custom_meeting_id` Set this option will change meeting id on meeting view title
    `int` | `invite_options`
    `int` | `meeting_views_options`
    `boolean` | `no_bottom_toolbar`
    `boolean` | `no_dial_in_via_phone`
    `boolean` | `no_dial_out_to_phone`
    `boolean` | `no_disconnect_audio`
    `boolean` | `no_driving_mode`
    `boolean` | `no_invite`
    `boolean` | `no_meeting_end_message`
    `boolean` | `no_meeting_error_message`
    `boolean` | `no_share`
    `boolean` | `no_titlebar`
    `boolean` | `no_video`
    `java.lang.String` | `participant_id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeetingOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### no_driving_mode

          public boolean no_driving_mode

    - #### no_invite

          public boolean no_invite

    - #### no_meeting_end_message

          public boolean no_meeting_end_message

    - #### no_meeting_error_message

          public boolean no_meeting_error_message

    - #### no_titlebar

          public boolean no_titlebar

    - #### no_bottom_toolbar

          public boolean no_bottom_toolbar

    - #### no_dial_in_via_phone

          public boolean no_dial_in_via_phone

    - #### no_dial_out_to_phone

          public boolean no_dial_out_to_phone

    - #### no_disconnect_audio

          public boolean no_disconnect_audio

    - #### no_share

          public boolean no_share

    - #### no_video

          public boolean no_video

    - #### meeting_views_options

          public int meeting_views_options

    - #### invite_options

          public int invite_options

    - #### participant_id

          public java.lang.String participant_id

    - #### custom_meeting_id

          public java.lang.String custom_meeting_id

      Set this option will change meeting id on meeting view title

  - ### Constructor Detail

    - #### MeetingOptions

          public MeetingOptions()